| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs | Enumerations
OgrePass.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreColourValue.h"`
`#include "OgreCommon.h"`
`#include "OgreLight.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreUserObjectBindings.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
struct | Ogre::IlluminationPass
| Struct recording a pass which can be used for a specific illumination stage. More...
class | Ogre::Pass
| Class defining a single pass of a Technique (of a Material), i.e. More...
struct | Ogre::Pass::HashFunc
| Definition of a functor for calculating the hashcode of a Pass. More...

## Namespaces
| Ogre

## Typedefs
typedef std::vector< IlluminationPass * > | Ogre::IlluminationPassList

## Enumerations
enum | Ogre::IlluminationStage { Ogre::IS_AMBIENT, Ogre::IS_PER_LIGHT, Ogre::IS_DECAL, Ogre::IS_UNKNOWN }
| Categorisation of passes for the purpose of additive lighting. More...